{
  lib,
  config,
  ...
}: let
  inherit (lib) mkEnableOption mkIf;
  cfg = config.horseman.hardware.fingerprint;
in {
  options = {
    horseman.hardware.fingerprint = {
      enable = mkEnableOption "Enables fingerprint support";
    };
  };

  config = mkIf cfg.enable {
    services.fprintd.enable = true;
  };
}
